.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.6); /* Darken the background */
}

/* Modal Content */
.modal-content {
    display: flex;
    background-color: #fefefe;
    margin: 10% auto; 
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3); 
    width: 80%;
    max-width: 600px; /* Limit maximum width */
}

/* Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 24px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover {
    color: #333; /* Darken the close button on hover */
}

/* Buttons */
.button-reset,
.button-confirm {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    margin-right: 10px;
    transition: background-color 0.3s; /* Smooth transition */
}

.button-reset {
    background-color: #f44336;
    color: white;
}

.button-confirm {
    background-color: #4CAF50;
    color: white;
}

.button-reset:hover,
.button-confirm:hover {
    opacity: 0.9; /* Slightly reduce opacity on hover */
}

.p{
    text-align: left;
}

.strong{
    display: flex;
    justify-content: start;
}